Automations
Get automation
Returns details for a single automation. Only active automations are returned. Requires automations:read scope.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use a Regular API key for email sending, or an Admin API key for marketing and automation endpoints.
Get your API keys from Settings → API Keys (regular) or Settings → Admin API Keys (admin) in the dashboard.
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://api.keplars.com/api/v1/public/automations/get-automation/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"success": true,
"message": "Success",
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"status": "draft",
"trigger_type": "contact_event",
"trigger_config": {},
"enrolled_count": 0,
"completed_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"success": false,
"error": "VALIDATION_ERROR",
"message": "Field 'to' is required"
}